# Yahoo! UI Library

### DataTable Widget 2.7.0

Yahoo! UI Library > datatable > YAHOO.util.ColumnResizer
Search:
Filters Show Private Show Protected Show Deprecated

## Class YAHOO.util.ColumnResizer - extends YAHOO.util.DDProxy

ColumnResizer subclasses DragDrop to support resizeable Columns.

### Constructor

YAHOO.util.ColumnResizer `( oDataTable , oColumn , elTh , sHandleElId , elProxy )`

Parameters:
  `oDataTable <YAHOO.widget.DataTable>` DataTable instance.
  `oColumn <YAHOO.widget.Column>` Column instance.
  `elTh <HTMLElement>` TH element reference.
  `sHandleElId <String>` DOM ID of the handle element that causes the resize.
  `elProxy <HTMLElement>` Resizer proxy element.

### Properties

#### csColumnSetTemplate - `object`

Tests ColumnSet APIs.

#### DataTableAssert - `object`

DataTable assertions.

#### dtBaseTemplate - `object`

Base DataTable test template. Sets up values for a DataTable instance.

#### dtCellSelectionTemplate - `object`

Tests cell selection APIs.

#### dtCloneObjectTemplate - `object`

Tests the _cloneObject API.

#### dtConstructionTemplate - `object`

Tests various construction use cases.

#### dtDomAccessorsTemplate - `object`

Tests DOM element getters.

#### dtPaginationTemplate - `object`

Tests pagination APIs.

#### dtRowMutationTemplate - `object`

Tests row mutation APIs.

#### dtRowSelectionTemplate - `object`

Tests row selection APIs.

#### dtSortingTemplate - `object`

Tests sorting APIs.

#### editorOptions - `object`

Deprecated: Pass configs directly to CellEditor constructor.

#### rsRecordSetTemplate - `object`

Tests RecordSet APIs.

### Methods

#### clickValidator

`private void clickValidator ( e )`
Custom clickValidator to ensure Column is not in hidden state.

Parameters:
  `e <Event>`

Returns: `void`

#### onDrag

`void onDrag ( e )`
Handles drag events on the Column resizer.

Parameters:
  `e <string>` The drag event

Returns: `void`

#### onMouseDown

`void onMouseDown ( e )`
Handles mousedown events on the Column resizer.

Parameters:
  `e <string>` The mousedown event

Returns: `void`

#### onMouseUp

`void onMouseUp ( e )`
Handles mouseup events on the Column resizer.

Parameters:
  `e <string>` The mouseup event

Returns: `void`

#### resetResizerEl

`void resetResizerEl ( )`
Resets resizer element.

Returns: `void`

#### startDrag

`void startDrag ( e )`
Handles start drag on the Column resizer.

Parameters:
  `e <string>` The drag event

Returns: `void`

Copyright © 2009 Yahoo! Inc. All rights reserved.